Subject: git over rsync+ssh

From: Michael J Gruber <[email-masked]>
Date: Wed, 09 Jul 2008 16:01:18 +0200

I want to put a git repo on a server where I have ssh access but failed 
to compile git (AIX 5.1, has libz.a but no .so nor headers; compiling 
prerequisite zlib failed, probably due to a botched build environment).

As far as I can see my only option for a private repo is using rsync 
over ssh.

Alas, the rsync:// transport of git seems to imply an rsync daemon 
connection.

How can I specify rsync over ssh as the git transport?

Alternatively, can I maybe compile the bits that git over ssh needs on 
the server side without zlib?

Michael